EndpointsLeagues

Get campaign conversation

GET/v2/leagues/{league_id}/campaign/conversation

Return a retained strategist exchange for one player owned by the caller.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Path Parameters

league_id*League Id

League containing the strategist conversation.

Match^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Query Parameters

player_id*Player Id

Owned player whose conversation should be returned.

Match^ply_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
round?|

Campaign round to return; omit for the latest retained conversation.

curl -X GET "https://example.com/v2/leagues/string/campaign/conversation?player_id=string"
{  "league_id": "string",  "player_id": "string",  "round": 0,  "pending": true,  "model": "string",  "system": "string",  "context": "string",  "response": [    {}  ],  "stop_reason": "string",  "reasoning": "string",  "error": "string",  "latency_s": 0,  "rounds_available": [    0  ]}